## bzr-rewrite 0.6.0

=== Makefile ===
DEBUGGER ?= 
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
CTAGS ?= ctags
PYLINT ?= pylint
TESTS ?= 
DESTDIR ?= 

all:: build 

build::
	$(SETUP) build

install::
ifneq ($(DESTDIR),)
	$(SETUP) install --root "$(DESTDIR)"
else
	$(SETUP) install
endif

clean::
	$(SETUP) clean

TMP_PLUGINS_DIR = $(shell pwd)/.plugins

$(TMP_PLUGINS_DIR):
	mkdir -p $@

$(TMP_PLUGINS_DIR)/rewrite: $(TMP_PLUGINS_DIR)
	ln -sf .. $@

check:: $(TMP_PLUGINS_DIR)/rewrite/
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(DEBUGGER) $(PYTHON) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) --starting-with=bzrlib.plugins.rewrite $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

coverage::
	$(MAKE) check BZR_OPTIONS="--coverage coverage"

check-one::
	$(MAKE) check TEST_OPTIONS=--one

show-plugins::
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR):$(BZR_PLUGIN_PATH) $(BZR) plugins

lint::
	$(PYLINT) -f parseable *.py */*.py

tags::
	$(CTAGS) -R .

ctags:: tags

=== debian/changelog ===
bzr-rewrite (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Rename package to bzr-rewrite, similar to upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 23 Mar 2010 16:42:52 +0100

bzr-rebase (0.5.5-1) unstable; urgency=low

  * New upstream release.
  * Use source format 3.
  * Bump standards format to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Feb 2010 23:32:27 +0100

bzr-rebase (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 26 Sep 2009 00:11:42 +0200

bzr-rebase (0.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 22:34:49 +0200

bzr-rebase (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jul 2009 12:21:37 +0200

bzr-rebase (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 19 Jun 2009 00:05:36 +0200

bzr-rebase (0.5.0-2) unstable; urgency=low

  * Add conflict with older versions of bzr-svn (<< 0.6.0) that also provide 
    the foreign-mapping-upgrade command.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 May 2009 18:06:39 +0200

bzr-rebase (0.5.0-1) unstable; urgency=low

  * Move to section vcs.
  * Bump standards version to 3.8.1.
  * Bump debhelper compat version to 5.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 May 2009 17:44:39 +0200

bzr-rebase (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Mar 2009 14:24:42 +0100

bzr-rebase (0.4.3-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Feb 2009 01:32:14 +0100

bzr-rebase (0.4.3~bzr124-1) experimental; urgency=low

  * New upstream snapshot.
   + Includes new upgrade code required by bzr-svn 0.5.0.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 03 Feb 2009 14:48:24 +0100

bzr-rebase (0.4.2-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 18 Nov 2008 01:23:51 +0100

bzr-rebase (0.4.1+bzr108-1) experimental; urgency=low

  * Package new upstream snapshot required for bzr-svn.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 10 Oct 2008 03:39:27 +0200

bzr-rebase (0.4.1+bzr107-1) experimental; urgency=low

  * Package upstream snapshot that includes fix for compatibility with bzr 1.8.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 09 Oct 2008 18:26:40 +0200

bzr-rebase (0.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 01 Sep 2008 17:14:01 +0200

bzr-rebase (0.4-1) experimental; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 27 Jul 2008 15:32:20 +0200

bzr-rebase (0.3-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Set homepage field.
  * New upstream release.
   + Support rebasing in non-branch-root directories. (Closes: #452601)
   + Improve message when branch is already rebased. (Closes: #453089)

  [ Arnaud Fontaine ]
  * Rename X-Vcs-Bzr to Vcs-Bzr (dpkg supports it now).
  * Update GPL path to GPL-2 as GPL-3 is now the default.

  [ Adeodato Simó ]
  * Allow Debian Maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 06 Dec 2007 16:45:49 +0100

bzr-rebase (0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #448892)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 20 Oct 2007 13:57:56 +0200

bzr-rebase (0.1-2) UNRELEASED; urgency=low

  * Enhance bzr instead of bzr-rebase.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 08 Sep 2007 22:11:06 +0200

bzr-rebase (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #433143)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jul 2007 23:55:54 +0300

=== debian/control ===
Source: bzr-rewrite
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://bazaar-vcs.org/Rebase
Build-Depends-Indep: bzr (>= 1.15~)
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python
Standards-Version: 3.8.4
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rebase/unstable/

Package: bzr-rewrite
Architecture: all
Depends: bzr (>= 1.15~), bzr (<< 2.2~), ${python:Depends}, ${misc:Depends}
Conflicts: bzr-svn (<< 0.6.0), bzr-rebase (<< 0.6.0)
Enhances: bzr
Provides: bzr-rebase
Replaces: bzr-rebase
XB-Python-Version: ${python:Versions}
Description: History rewriting plugin for Bazaar
 The Bazaar history rewriting plugin adds commands for rewriting history in 
 Bazaar, such as the 'rebase' command.
 .
 When conflicts occur when replaying patches, the user can resolve the 
 conflict and continue the rebase using the 'rebase-continue' command or abort 
 using the 'rebase-abort' command.
 .
 Other commands provided include 'replay' and 'rebase-foreign'.

Package: bzr-rebase
Architecture: all
Depends: bzr-rewrite, ${misc:Depends}
Description: transitional dummy package for bzr-rewrite
 This is a dummy package to ease transition to the new package name, 
 bzr-rewrite.
 .
 It can be safely removed from the system.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	-rm -rf build test*.tmp 
	find . -name "*.pyc" -print0 | xargs -r0 rm -f

## bzr-rewrite 0.6.1

=== debian/changelog ===
bzr-rewrite (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Mark as supporting Bazaar 2.2. Closes: #592438
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Aug 2010 16:08:21 +0200

=== debian/control ===
Source: bzr-rewrite
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://bazaar-vcs.org/Rebase
Build-Depends-Indep: bzr (>= 1.15~)
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rebase/unstable/

Package: bzr-rewrite
Architecture: all
Depends: bzr (>= 1.15~), bzr (<< 2.3~), ${python:Depends}, ${misc:Depends}
Conflicts: bzr-svn (<< 0.6.0), bzr-rebase (<< 0.6.0)
Enhances: bzr
Provides: bzr-rebase
Replaces: bzr-rebase
XB-Python-Version: ${python:Versions}
Description: History rewriting plugin for Bazaar
 The Bazaar history rewriting plugin adds commands for rewriting history in
 Bazaar, such as the 'rebase' command.
 .
 When conflicts occur when replaying patches, the user can resolve the
 conflict and continue the rebase using the 'rebase-continue' command or abort
 using the 'rebase-abort' command.
 .
 Other commands provided include 'replay' and 'rebase-foreign'.

Package: bzr-rebase
Architecture: all
Depends: bzr-rewrite, ${misc:Depends}
Description: transitional dummy package for bzr-rewrite
 This is a dummy package to ease transition to the new package name,
 bzr-rewrite.
 .
 It can be safely removed from the system.

## bzr-rewrite 0.6.1+bzr227

=== debian/changelog ===
bzr-rewrite (0.6.1+bzr227-1) unstable; urgency=low

  * New upstream snapshot.
   + Marks bzr 2.4 as being supported.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Feb 2011 14:20:08 +0100

bzr-rewrite (0.6.1+bzr225-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with Bazaar 2.3. Closes: #601545

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 27 Oct 2010 01:21:00 -0700

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://bazaar-vcs.org/Rebase
-Build-Depends-Indep: bzr (>= 1.15~)
+Build-Depends-Indep: bzr (>= 1.14~), bzr (<< 2.5~)
 Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rebase/unstable/
+Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rewrite/unstable/
 
 Package: bzr-rewrite
 Architecture: all
-Depends: bzr (>= 1.15~), bzr (<< 2.3~), ${python:Depends}, ${misc:Depends}
+Depends: bzr (>= 1.14~), bzr (<< 2.5~), ${python:Depends}, ${misc:Depends}
 Conflicts: bzr-svn (<< 0.6.0), bzr-rebase (<< 0.6.0)
 Enhances: bzr
 Provides: bzr-rebase

## bzr-rewrite 0.6.2

=== debian/changelog ===
bzr-rewrite (0.6.2-4) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 03:42:42 +0200

bzr-rewrite (0.6.2-3) unstable; urgency=low

  * Drop the transitional bzr-rebase package.
  * Add build dependency on python-bzrlib.tests, for compatibility with
    newer versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 04:05:17 +0200

bzr-rewrite (0.6.2-2) unstable; urgency=low

  * Switch to dh_python2. Closes: #616764
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 05:18:32 +0100

bzr-rewrite (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Run test suite during package build.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Mar 2011 14:09:47 +0100

=== debian/control ===
Source: bzr-rewrite
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://bazaar-vcs.org/Rewrite
Build-Depends-Indep: bzr (<< 2.5~), bzr (>= 1.14~)
Build-Depends: python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
               debhelper (>= 7.0.50~),
               python (>= 2.6.6-3),
               python-subunit,
               python-testtools
Standards-Version: 3.9.2
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rewrite/unstable/

Package: bzr-rewrite
Architecture: all
Depends: bzr (<< 2.5~), bzr (>= 1.14~), ${misc:Depends}, ${python:Depends}
Conflicts: bzr-rebase (<< 0.6.0), bzr-svn (<< 0.6.0)
Enhances: bzr
Provides: bzr-rebase
Description: History rewriting plugin for Bazaar
 The Bazaar history rewriting plugin adds commands for rewriting history in
 Bazaar, such as the 'rebase' command.
 .
 When conflicts occur when replaying patches, the user can resolve the
 conflict and continue the rebase using the 'rebase-continue' command or abort
 using the 'rebase-abort' command.
 .
 Other commands provided include 'replay' and 'rebase-foreign'.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(CONCURRENCY) BZR_PLUGINS_AT=rewrite@$(CURDIR) /usr/bin/bzr selftest \
	    --parallel=fork -v -s bp.rewrite
endif

=== debian/watch ===
version=3
http://samba.org/~jelmer/bzr/bzr-rewrite-(.*).tar.gz

## bzr-rewrite 0.6.2+bzr238

=== Makefile ===
DEBUGGER ?= 
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
CTAGS ?= ctags
PYLINT ?= pylint
TESTS ?= 
DESTDIR ?= 

all:: build 

build::
	$(SETUP) build

install::
ifneq ($(DESTDIR),)
	$(SETUP) install --root "$(DESTDIR)"
else
	$(SETUP) install
endif

clean::
	$(SETUP) clean

check::
	BZR_PLUGINS_AT=rewrite@$(shell pwd) $(DEBUGGER) $(PYTHON) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) --starting-with=bzrlib.plugins.rewrite $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

coverage::
	$(MAKE) check BZR_OPTIONS="--coverage coverage"

check-one::
	$(MAKE) check TEST_OPTIONS=--one

show-plugins::
	BZR_PLUGINS_AT=rewrite@$(shell pwd) $(BZR) plugins -v

lint::
	$(PYLINT) -f parseable *.py */*.py

tags::
	$(CTAGS) -R .

ctags:: tags

=== debian/changelog ===
bzr-rewrite (0.6.2+bzr238-1) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
    Closes: #640706
  * Bump standards version to 3.9.2 (no changes).
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 03:42:42 +0200

bzr-rewrite (0.6.2+bzr237-1) unstable; urgency=low

  * New upstream snapshot.
   + Adds support for bzr >= 2.5.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 23 Aug 2011 02:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://bazaar-vcs.org/Rewrite
-Build-Depends-Indep: bzr (<< 2.5~), bzr (>= 1.14~)
-Build-Depends: python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
-               debhelper (>= 7.0.50~),
+Build-Depends-Indep: bzr (<< 2.6~), bzr (>= 1.14~)
+Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3),
+               python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
                python-subunit,
                python-testtools
 Standards-Version: 3.9.2
@@ -16,7 +16,7 @@
 
 Package: bzr-rewrite
 Architecture: all
-Depends: bzr (<< 2.5~), bzr (>= 1.14~), ${misc:Depends}, ${python:Depends}
+Depends: bzr (<< 2.6~), bzr (>= 1.14~), ${misc:Depends}, ${python:Depends}
 Conflicts: bzr-rebase (<< 0.6.0), bzr-svn (<< 0.6.0)
 Enhances: bzr
 Provides: bzr-rebase

## bzr-rewrite 0.6.3

=== debian/changelog ===
bzr-rewrite (0.6.3-1ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #958336) Remaining changes:
    - Add transitional package (bzr-rebase) to ease the LTS -> LTS transition;
      This can be dropped after 12.04
    - Change bzr-rewrite Conflicts to Breaks since they're versioned
    - Add Replaces on bzr-rebase for bzr-rewrite

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 18 Mar 2012 00:10:30 -0500

bzr-rewrite (0.6.3-1) unstable; urgency=low

  * New upstream release.
   + Fixes compatibility with bzr 2.5.
  * Add basic tests for autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 27 Feb 2012 11:33:30 +0100

bzr-rewrite (0.6.2+bzr242-1ubuntu2) precise; urgency=low

  * Since we now have two sources, explicitly install files into the
    bzr-rewrite source (LP: #941935)
    - add debian/bzr-rewrite.install 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 27 Feb 2012 12:03:55 -0600

bzr-rewrite (0.6.2+bzr242-1ubuntu1) precise; urgency=low

  * Sync on Debian (LP: #941763, #935046)
  * fix LP: #791041 - Add transitional package (bzr-rebase) to ease the
    LTS -> LTS transition; This can be dropped after 12.04; Change bzr-rewrite
    Conflicts to Breaks since they're versioned; Add Replaces on bzr-rebase
    for bzr-rewrite
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 26 Feb 2012 23:19:47 -0600

bzr-rewrite (0.6.2+bzr242-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with newer versions of bzr. Closes: #660726

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Feb 2012 10:42:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: bzr-rewrite
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://bazaar-vcs.org/Rewrite
-Build-Depends-Indep: bzr (<< 2.6~), bzr (>= 1.14~)
+Build-Depends-Indep: bzr (<< 2.6~), bzr (>= 2.5~)
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3),
                python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
@@ -16,8 +17,9 @@
 
 Package: bzr-rewrite
 Architecture: all
-Depends: bzr (<< 2.6~), bzr (>= 1.14~), ${misc:Depends}, ${python:Depends}
-Conflicts: bzr-rebase (<< 0.6.0), bzr-svn (<< 0.6.0)
+Depends: bzr (<< 2.6~), bzr (>= 2.5~), ${misc:Depends}, ${python:Depends}
+Breaks: bzr-rebase (<< 0.6.0), bzr-svn (<< 0.6.0)
+Replaces: bzr-rebase
 Enhances: bzr
 Provides: bzr-rebase
 Description: History rewriting plugin for Bazaar
@@ -29,3 +31,12 @@
  using the 'rebase-abort' command.
  .
  Other commands provided include 'replay' and 'rebase-foreign'.
+
+Package: bzr-rebase
+Architecture: all
+Depends: bzr-rewrite, ${misc:Depends}
+Description: transitional dummy package for bzr-rewrite
+ This is a dummy package to ease transition to the new package name,
+ bzr-rewrite.
+ .
+ It can be safely removed from the system.

## bzr-rewrite 0.6.3+bzr256

=== Makefile ===
--- 
+++ 
@@ -44,3 +44,20 @@
 	$(CTAGS) -R .
 
 ctags:: tags
+
+.PHONY: update-pot po/bzr-rewrite.pot
+update-pot: po/bzr-rewrite.pot
+
+TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
+		| grep -v 'tests/' \
+		)
+
+po/bzr-rewrite.pot: $(PYFILES) $(DOCFILES)
+	BZR_PLUGINS_AT=rewrite@$(shell pwd) bzr export-pot \
+          --plugin=rewrite > po/bzr-rewrite.pot
+	echo $(TRANSLATABLE_PYFILES) | xargs \
+	  xgettext --package-name "bzr-rewrite" \
+	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
+	  --copyright-holder "Jelmer Vernooij <jelmer@samba.org>" \
+	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
+	  -d bzr-rewrite -p po -o bzr-rewrite.pot

=== debian/changelog ===
bzr-rewrite (0.6.3+bzr256-1) unstable; urgency=low

  * Use machine-parseable copyright file format.
  * Bump standards version to 3.9.3 (no changes).
  * New upstream snapshot.
   + Fixes compatibility with bzr 2.6. Closes: #665949

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Mar 2012 20:31:30 +0200

=== debian/control ===
Source: bzr-rewrite
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://bazaar-vcs.org/Rewrite
Build-Depends-Indep: bzr (<< 2.7~), bzr (>= 2.5~)
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3),
               python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
               python-subunit,
               python-testtools
Standards-Version: 3.9.3
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-rewrite/unstable/

Package: bzr-rewrite
Architecture: all
Depends: bzr (<< 2.7~), bzr (>= 2.5~), ${misc:Depends}, ${python:Depends}
Conflicts: bzr-rebase (<< 0.6.0), bzr-svn (<< 0.6.0)
Enhances: bzr
Provides: bzr-rebase
Description: History rewriting plugin for Bazaar
 The Bazaar history rewriting plugin adds commands for rewriting history in
 Bazaar, such as the 'rebase' command.
 .
 When conflicts occur when replaying patches, the user can resolve the
 conflict and continue the rebase using the 'rebase-continue' command or abort
 using the 'rebase-abort' command.
 .
 Other commands provided include 'replay' and 'rebase-foreign'.
